> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch workspace member

> Requires one of the following scopes: `workspace_members:update`, `workspace_members:all`, `all:update`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json patch /api/v2/workspace-members/{id}
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/workspace-members/{id}:
    patch:
      tags:
        - WorkspaceMember
      summary: Patch workspace member
      description: >-
        Requires one of the following scopes: `workspace_members:update`,
        `workspace_members:all`, `all:update`, `all:all`
      operationId: patchWorkspaceMember
      parameters:
        - schema:
            type: string
            format: uuid
            example: 019e18e2-a6a6-7d6f-a525-5f0e72e5eea5
          in: path
          name: id
          required: true
          description: The ID of the item to update
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                role:
                  type: string
                  description: >-
                    THe role of the workspace member defining their access
                    level. While the "owner" role is listed in the enum, it
                    cannot be created via the API, and is only assigned to the
                    user who creates the workspace.
                  enum:
                    - owner
                    - admin
                    - editor
                    - view
                    - client
                  x-enumDescriptions:
                    owner: Owner - Full access and workspace management
                    admin: Admin - Full access except workspace deletion
                    editor: Editor - Can edit but not manage workspace settings
                    view: View - Read-only access
                    client: >-
                      This is a special role for users in the whitelabel
                      (agency) view. It is not available in the API.
                  example: editor
              required: []
              additionalProperties: false
              minProperties: 1
      responses:
        '200':
          description: The updated Workspace Member
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-25'
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-25:
      title: Workspace Member
      description: A member of a workspace with associated user details
      x-tags:
        - Schemas
        - WorkspaceMember
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the workspace member
          readOnly: true
          format: uuid
          example: 019e18e2-7966-737b-bbf5-5dad12e2a4e5
        email:
          type: string
          description: Email address of the workspace member
          format: email
          example: user@example.com
        user_id:
          type: string
          description: User ID of the workspace member
          readOnly: true
          format: uuid
          example: 019e18e2-7966-737b-bbf5-5dae275ddd18
        user_email:
          type:
            - 'null'
            - string
          description: Email address of the user
          format: email
          example: user@example.com
        name:
          type: object
          readOnly: true
          properties:
            first:
              type: string
              description: Workspace member first name
              example: John
            last:
              type: string
              description: Workspace member last name
              example: Smith
        role:
          type: string
          description: >-
            THe role of the workspace member defining their access level. While
            the "owner" role is listed in the enum, it cannot be created via the
            API, and is only assigned to the user who creates the workspace.
          enum:
            - owner
            - admin
            - editor
            - view
            - client
          x-enumDescriptions:
            owner: Owner - Full access and workspace management
            admin: Admin - Full access except workspace deletion
            editor: Editor - Can edit but not manage workspace settings
            view: View - Read-only access
            client: >-
              This is a special role for users in the whitelabel (agency) view.
              It is not available in the API.
          example: editor
        timestamp_created:
          type: string
          description: Timestamp when the workspace member was created
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.942Z'
        workspace_id:
          type: string
          description: ID of the workspace this member belongs to
          readOnly: true
          format: uuid
          example: 019e18e2-7966-737b-bbf5-5daf7bba0c42
        accepted:
          type: boolean
          description: Whether the member has accepted the workspace invitation
          readOnly: true
          example: false
        issuer_id:
          type:
            - 'null'
            - string
          description: ID of the user who added this member to the workspace
          readOnly: true
          format: uuid
          example: 019e18e2-7966-737b-bbf5-5db04a057776
        permissions:
          type:
            - 'null'
            - array
          description: >-
            The permissions for this workspace member. Used in the app to
            restrict access to certain sections
          items:
            type: string
            enum:
              - dashboard.view
              - campaigns.view
              - campaigns.create
              - campaigns.edit
              - campaigns.delete
              - organization.manage
              - organization.integrations
              - organization.billing
              - organization.users.manage
              - leadFinder.view
              - customLeadLabels.create
              - customLeadLabels.edit
              - customLeadLabels.delete
              - unibox.all
              - analytics.view
              - agency.manage
              - accounts.view
              - accounts.manage
              - leadManagement.view
              - leads.move
              - crm.view
              - websiteVisitors.view
              - blocklist.manage
              - preferences.manage
              - inboxPlacement.view
              - aiAgents.manage
              - workspaceGroupMembers.invite
              - workspaceGroupMembers.remove
              - workspaceGroupMembers.leave
            examples:
              - unibox.all
            x-enumDescriptions:
              dashboard.view: View the dashboard
              campaigns.view: View campaigns
              campaigns.create: Create campaigns
              campaigns.edit: Edit campaigns
              campaigns.delete: Delete campaigns
              organization.manage: Manage organization
              organization.integrations: Manage organization integrations
              organization.billing: Manage organization billing
              organization.users.manage: Manage organization users
              leadFinder.view: View lead finder
              customLeadLabels.create: Create custom lead labels
              customLeadLabels.edit: Edit custom lead labels
              customLeadLabels.delete: Delete custom lead labels
              unibox.all: View all unibox
              analytics.view: View analytics
              agency.manage: Manage agency
              accounts.view: View accounts
              accounts.manage: Manage accounts
              leadManagement.view: View lead management
              leads.move: Move leads
              crm.view: View CRM
              websiteVisitors.view: View website visitors
              blocklist.manage: Manage blocklist
              preferences.manage: Manage preferences
              inboxPlacement.view: Manage inbox placement
              aiAgents.manage: Manage AI agents
              workspaceGroupMembers.invite: Invite workspace group members
              workspaceGroupMembers.remove: Remove workspace group members
              workspaceGroupMembers.leave: Leave workspace group
      required:
        - id
        - email
        - user_id
        - role
        - timestamp_created
        - workspace_id
        - accepted
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````